.footers {
  margin-top: 4rem;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

header {
  margin: 2rem;
}

.footers h3 {
  margin: 2rem 0;
}

.designLink {
  display: inline-block;
  padding: 0;
  text-transform: lowercase;
  letter-spacing: var(--letterSpacing);
  font-family: var(--headingFont);
  user-select: none;
  cursor: pointer;
  font-size: smaller;
  font-weight: lighter;
}

/* Sol'ace */
#solace {
  display: grid;
  grid-template:
    "storeS shopS collectionS helpS" 30%
    "brandS brandS brandS brandS" 60%
    "copyS copyS copyS copyS" 10% /
    1fr 1fr 1fr 1fr;
  height: 90vh;
  width: 100vw;
  background-color: hsl(46, 33%, 29%);
  color: hsl(45, 33%, 88%);
  padding: 4rem 0;
  font-family: var(--headingFont);
  margin-bottom: 8rem;
}

#solace ul {
  color: hsla(45, 33%, 88%, 0.459);
  padding-left: 10rem;
  padding-top: 0.2rem;
}

#solace .listHeadingS {
  text-transform: uppercase;
  color: #ebe6d7;
  cursor: default;
  margin-top: 0;
}

#solace .listHeadingS:hover {
  text-decoration: none;
}

#solace ul li {
  margin-top: 1.5rem;
  cursor: pointer;
  width: fit-content;
  transition: var(--transition);
}

#solace ul li:hover {
  color: #ebe6d7;
  text-decoration: underline;
}

.storeS {
  grid-area: storeS;
  border-top: 1px solid hsl(0deg 0% 100%/18%);
  border-bottom: 1px solid hsl(0deg 0% 100%/18%);
}

.shopS {
  grid-area: shopS;
  border-bottom: 1px solid hsl(0deg 0% 100%/18%);
  border-top: 1px solid hsl(0deg 0% 100%/18%);
  border-left: 1px solid hsl(0deg 0% 100%/18%);
}

.collectionS {
  grid-area: collectionS;
  border-top: 1px solid hsl(0deg 0% 100%/18%);
  border-bottom: 1px solid hsl(0deg 0% 100%/18%);
  border-left: 1px solid hsl(0deg 0% 100%/18%);
}

.helpS {
  grid-area: helpS;
  border-top: 1px solid hsl(0deg 0% 100%/18%);
  border-bottom: 1px solid hsl(0deg 0% 100%/18%);
  border-left: 1px solid hsl(0deg 0% 100%/18%);
}

#solace .brandS {
  grid-area: brandS;
  padding-left: 10rem;
  display: flex;
  align-items: center;
}

#solace .brandS h2 {
  font-size: 40rem;
  font-weight: 900;
}

#solace .copyS {
  grid-area: copyS;
  border: 1px solid hsl(0deg 0% 100%/18%);
  padding: 0 10rem;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  color: hsla(45, 33%, 88%, 0.459);
}

#solace .copyS h6 {
  text-transform: uppercase;
  font-size: smaller;
  margin: 0;
}

/* BrainBox AI */
#brainbox {
  display: grid;
  grid-template:
    "whitespaceBB contactBB linksBB whitespaceBB2" 60%
    "whitespaceBB contactBB socialsBB whitespaceBB2" 30%
    "copyBB copyBB copyBB copyBB" 10% /
    1fr 43% 54% 1fr;
  height: 80vh;
  width: 100vw;
  background-color: hsl(0, 0%, 100%);

  color: hsl(240, 8%, 30%);
  font-family: var(--headingFont);
  margin-bottom: 8rem;
  padding-top: 2rem;
}

.whitespaceBB {
  grid-area: whitespaceBB;
  border-top: 1px solid hsl(0, 0%, 87%);
  border-bottom: 1px solid hsl(0, 0%, 87%);
}

.contactBB {
  grid-area: contactBB;
  border-top: 1px solid hsl(0, 0%, 87%);
  border-bottom: 1px solid hsl(0, 0%, 87%);
  border-left: 1px solid hsl(0, 0%, 87%);
  padding: 4rem 13rem 0rem 13rem;
  width: fit-content;
}

.contactBB h2 {
  padding-bottom: 2rem;
  width: fit-content;
  color: hsl(240, 8%, 10%);
}

.redTextBB {
  color: hsl(357, 79%, 54%);
}

.contactBB p {
  padding-bottom: 2rem;
}

.formBB {
  display: flex;
  flex-wrap: nowrap;
  width: 75%;
}

.formBB input {
  padding: 2rem 25% 2rem 2rem;
  border: 1px solid hsl(0, 0%, 87%);
  border-top-left-radius: 4px;
  border-bottom-left-radius: 4px;
}

.formBB input:focus {
  border: 1px solid hsl(240, 8%, 10%);
}

.formBB div {
  padding: 2rem;
  border-top: 1px solid hsl(0, 0%, 87%);
  border-right: 1px solid hsl(0, 0%, 87%);
  border-bottom: 1px solid hsl(0, 0%, 87%);
  border-top-right-radius: 4px;
  border-bottom-right-radius: 4px;
  transition: var(--transition);
}

.formBB div span {
  font-size: 2rem;
}

.formBB div:hover {
  background-color: hsl(357, 79%, 54%);
}

.linksBB {
  grid-area: linksBB;
  border-top: 1px solid hsl(0, 0%, 87%);
  border-left: 1px solid hsl(0, 0%, 87%);
  display: flex;
  flex-wrap: wrap;
  margin-left: -4.2rem;
  padding: 4rem 13rem;
}

.bigListBB {
  color: hsl(240, 8%, 10%);
  font-size: 3.6rem;
  margin: 0;
}

.bigListBB li {
  cursor: pointer;
  margin-bottom: 1rem;
  transition: var(--transition);
}

.bigListBB li:hover {
  color: hsl(357, 79%, 54%);
}

.smallListBB {
  margin: 1rem 0 0 25rem;
}

.smallListBB li {
  transition: var(--transition);
  cursor: pointer;
  margin-bottom: 1rem;
}

.smallListBB li:hover {
  text-decoration: underline;
  color: hsl(240, 8%, 10%);
}

.langBB {
  margin-top: 13rem;
}

.socialsBB {
  grid-area: socialsBB;
  border-top: 1px solid hsl(0, 0%, 87%);
  border-bottom: 1px solid hsl(0, 0%, 87%);
  border-left: 1px solid hsl(0, 0%, 87%);
  margin-left: -4.2rem;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  padding-left: 13rem;
}

.termsBB li {
  margin-bottom: 1rem;
}

.termsBB li:hover {
  cursor: pointer;
  text-decoration: underline;
  color: hsl(240, 8%, 10%);
  transition: var(--transition);
}

.socialIconsBB {
  margin: 1rem 0 0 35rem;
}

.socialIconsListBB {
  display: flex;
  flex-wrap: wrap;
}

#socialLinkBB {
  display: inline;
  padding: 1rem;
  margin-right: 1rem;
}

.socialIconsBB svg {
  height: 2rem;
  width: 2rem;
  transition: var(--transition);
}

.socialIconsBB svg:hover {
  fill: hsl(357, 79%, 54%);
}

.whitespaceBB2 {
  grid-area: whitespaceBB2;
  border: 1px solid hsl(0, 0%, 87%);
}

.copyBB {
  grid-area: copyBB;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
  align-items: center;
  padding: 0 3rem;
}

.copyBB h6 {
  margin: 0;
}

/* Basic */
#basic {
  display: flex;
  flex-wrap: wrap;
  height: 45vh;
  width: 100%;
  background-color: hsl(0, 0%, 97%);
  color: hsl(0, 0%, 45%);
  font-size: larger;
  padding-top: 4rem;
  position: relative;
}

.companyB {
  width: 30%;
  padding-left: 20rem;
  padding-top: 2rem;
  padding-right: 6rem;
}

.logoB {
  height: 80px;
  width: 80px;
  margin-bottom: 2rem;
}

.companyB h6 {
  color: hsl(20, 7%, 18%);
  font-weight: bolder;
  font-size: larger;
}

.browseB {
  width: 20%;
  padding-left: 15rem;
}

.browseListB li {
  margin-bottom: 0.8rem;
}

.servicesB {
  width: 25%;
  padding-left: 10rem;
}

.servicesListB li {
  margin-bottom: 0.8rem;
}

.contactB {
  width: 25%;
}

.contactListB li {
  margin-bottom: 0.8rem;
}

.iconItem {
  display: flex;
  align-items: center;
}

#basic .contactImgB {
  height: 15px;
  width: 15px;
  margin: 0 10px 6px 5px;
}

.svgMargin {
  margin-bottom: 4px;
}

.browseListB li:first-child,
.servicesListB li:first-child,
.contactListB li:first-child {
  color: hsl(20, 7%, 18%);
  margin-bottom: 2rem;
  font-size: larger;
  font-weight: 600;
}

.copyB {
  position: absolute;
  bottom: 0;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  height: 6rem;
  padding: 0 20rem;
  background-color: hsl(0, 0%, 93%);
}

@media only screen and (max-width: 600px) {
  /* Sol'ace */
  #solace {
    display: grid;
    grid-template:
      "storeS shopS" 35%
      "collectionS helpS" 35%
      "brandS brandS" 20%
      "copyS copyS" 10% /
      1fr 1fr;
  }

  #solace ul {
    padding-left: 2rem;
  }

  #solace ul li {
    margin-top: 1rem;
  }

  #solace .brandS {
    padding-left: 0rem;
    justify-content: center;
  }

  #solace .brandS h2 {
    font-size: 7rem;
  }

  #solace .copyS {
    padding: 0rem;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
  }

  /* BrainBox AI */
  #brainbox {
    grid-template:
      " contactBB " 25%
      " linksBB " 50%
      " socialsBB " 15%
      " copyBB " 10% /
      1fr 95% 1fr;
    height: 200vh;
  }

  .contactBB {
    grid-area: contactBB;
    border-top: 1px solid hsl(0, 0%, 87%);
    border-bottom: none;
    border-left: none;
    padding: 1rem;
    width: 100%;
  }

  .contactBB h2 {
    width: 90%;
  }

  .formBB {
    width: 32rem;
  }

  .formBB input {
    padding: 2rem 4rem 2rem 2rem;
  }

  .linksBB {
    border-left: none;
    margin-left: 0;
    padding: 4rem 1rem;
  }

  .bigListBB {
    margin: 0;
  }

  .smallListBB {
    margin: 0;
    width: 100%;
  }

  .smallListBB li {
    margin-bottom: 1rem;
  }

  .langBB {
    margin-top: 8rem;
  }

  .socialsBB {
    margin-left: 0;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: flex-start;
    padding-left: 1rem;
  }

  .socialIconsBB {
    margin: 1rem 0 0 1rem;
  }

  #socialLinkBB {
    padding: 1rem;
    margin-right: 4rem;
    margin-left: -2rem;
  }

  .copyBB {
    padding: 1rem;
  }

  /* Basic */
  #basic {
    display: flex;
    flex-wrap: wrap;
    height: 160vh;
    font-size: larger;
    padding-top: 2rem;
    position: relative;
  }

  .companyB {
    width: 100%;
    height: fit-content;
    padding-left: 2rem;
    padding-right: 0rem;
  }

  .browseB {
    width: 100%;
    height: fit-content;
    padding-left: 2rem;
    margin-top: -8rem;
  }

  .servicesB {
    width: 100%;
    padding-left: 2rem;
    margin-top: -8rem;
  }

  .contactB {
    width: 100%;
    height: fit-content;
    padding-left: 2rem;
    margin-top: -8rem;
  }

  .copyB {
    position: absolute;
    bottom: 0;
    display: flex;
    flex-wrap: wrap;

    width: 100%;
    height: 6rem;
    padding: 0 2rem;
    background-color: hsl(0, 0%, 93%);
  }
}
